<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<!-- responsive meta-tags -->
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Bootstrap Grid System</title>

	<!-- bootstrap css -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/css/bootstrap.min.css" integrity="sha384-B0vP5xmATw1+K9KRQjQERJvTumQW0nPEzvF6L/Z6nronJ3oUOFUFpCjEUQouq2+l" crossorigin="anonymous"/>
</head>
<body>
	<h1 class="text-center text-white bg-danger">Bootstrap Grid System</h1>
	<div class= "contrainer-fluid">
		<div class="row">
			<!-- a div column can occupy  more than 1 column. We may create layouts wherein one div occupies 8 columns and another occupies 4 columns.
			But as you may see, it results to 12 columns for our row. If the divs in a row, occupy more than 12 columns, the row would overflow and put the rest of the divs on the next line.

			Syntax to define the number of columns a div will occupy in a row:

			col-breakpoint-numberOfColumns(must not exceed 12 to avoid overflow)

			 -->
			<div class = "bg-primary border border-dark col-md-8">
				Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
				tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
				quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
				consequat. 
			</div>
			<div class = "bg-danger border border-dark col-md-6">
				Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
				tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
				quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
				consequat. 
			</div>
		</div>
	</div>

	<!-- container -->
	<div class="container bg-dark">
		<h2 class="text-center">Row in Container</h2>
		<div class="row">
			<div class="col-6 border border-dark bg-primary">
				6 columns out of 12
			</div>
			<div class="col-6 border border-dark bg-danger">
				6 columns out of 12
			</div>
		</div>
	</div>

	<!-- uneven columns -->
	<div class="contrainer-fluid bg-secondary mt-5">
		<h2 class="text-center text-white">Uneven Columns</h2>
		<div class="row">
			<div class="col-6 border border-dark bg-success">
				6 columns out of 12
			</div>
			<div class="col-3 border border-dark bg-info">
				3 columns out of 12
			</div>
			<div class="col-3 border border-dark bg-danger">
				3 columns out of 12
			</div>
		</div>
	</div>

	<div class="contrainer-fluid bg-secondary mt-5">
		<h2 class="text-center text-white">Uneven Columns</h2>
		<div class="row">
			<div class="col-3 border border-dark bg-success">
				3 columns out of 12
			</div>
			<div class="col-6 border border-dark bg-info">
				6 columns out of 12
			</div>
			<div class="col-3 border border-dark bg-danger">
				3 columns out of 12
			</div>
		</div>
	</div>

	<div class="contrainer-fluid bg-secondary mt-5">
		<h2 class="text-center text-white">Uneven Columns</h2>
		<div class="row">
			<div class="col-3 border border-dark bg-success">
				3 columns out of 12
			</div>
			<div class="col-3 border border-dark bg-info">
				3 columns out of 12
			</div>
		</div>
	</div>

	<!-- Mini-Activity

		Create a new div with class row:
			Create columns with following size:

			1 - occupies 8 columns
				text: 8 out of 12 columns
				bg: primary
				border color: black

			2 - occupies 2 columns
				text: 2 out of 12 columns
				bg: danger
				border color: black

			3 - occupies 2 columns
				text: 2 out of 12 columns
				bg: success
				border color: black
	 -->
	 	<div class="row mt-5">
	 		<div class="col-8 bg-primary border border-dark">
	 			8 out of 12 columns
	 		</div>
	 		<div class="col-2 bg-danger border border-dark">
	 			2 out of 12 columns
	 		</div>
	 		<div class="col-2 bg-success border border-dark">
	 			2 out of 12 columns
	 		</div>
	 	</div>

	 	<!-- 
			Mini-Activity

			- Add size 5 margin at the top of the div with class row.

			- resize the 1st div inside the div with class row:
				- let the div occupy 3 columns
				- scale the image in the div by adding class img-fluid for the image tag

			- resize the 2nd div inside the div withe the class row:
				- let the div occupy 5 columns
				- change the color of the text inside the div (white)

	 	 -->
	 	<div class="row mt-5">
	 		<div class="col-3 offset-2">
	 			<img class="img-fluid" src=https://i.pinimg.com/474x/ec/32/45/ec324549310ed4c5966ffe05f718e66c.jpg alt="pic">
	 		</div>
	 		<div class="col-5 border bg-dark text-white">
	 			<h4>Yusuke Urameshi</h4>
	 			<p>
	 				Lorem, ipsum dolor sit amet consectetur adipisicing elit. Accusantium nesciunt dolore magni voluptas sequi ipsa laudantium laborum consectetur, beatae nulla praesentium, aperiam inventore nihil quaerat, hic fugit fugiat deserunt iure!
	 			</p>
	 		</div>
	 	</div> 
	 	<hr>
	 	<h2 class="text-center text-white">Offset</h2>
	 	<div class="row mt-4">
	 		<!-- offset will allow us to offset our divs a number of columns to the right. However, take note that when you offset columns to the right will also move -->
	 		<div class="col-1 bg-danger border border-dark offset-3">
	 			1 out of 12
	 		</div>
	 		<div class="col-2 bg-danger border border-dark offset-1">
	 			2 out of 12
	 		</div>
	 		<div class="col-2 bg-danger border border-dark offset-4">
	 			2 out of 12
	 		</div>
	 	</div>

	 	<div class="row mt-5">
	 		<!-- 
	 		Mini-Activity:

	 		div in first row with img:
	 			resize it to occupy 2 columns
	 			offset the div to the center within the row
	 			scale the image to its container with img-fluid class

	 		div in second row with heading:
	 			resize it to occupy 2 columns
	 			offset the div to the center it within the row
	 			align the text to center
	 			change the color of text to white

	 		div in third row with paragraph:
	 			resize it to occupy 4 columns
	 			offset the div to the center it within the row
	 			align the text to center
	 			change the color of text to white

	 	-->
	 		
	 	</div>
</body>
</html>